POST
/backend/{appId}/job/{backendEnvironmentName}/{jobId}
http://amplifybackend.{region}.amazonaws.com/backend/{appId}/job/{backendEnvironmentName}/{jobId}Updates a specific job.
Access Token Required: API Key
Path Parameters
appIdstringrequired
The app ID.
backendEnvironmentNamestringrequired
The name of the backend environment.
jobIdstringrequired
The ID for the job.
Body Params
statusstring
Filters the list of response objects to include only those with the specified status.
operationstring
Filters the list of response objects to include only those with the specified operation name.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/job/{backendEnvironmentName}/{jobId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}